<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 * [[機能説明]]
 *
 * @package     [[package名]]
 * @author      Your Name <mail@example.com>
 * @access      public
 */
class Seller_Itemexhibit_Send_Mail
{

	var $preaction;
	var $preinfo;   //購入情報・送付先情報のページに戻ったときに、どのリストから来たか判別させる
	var $infokey;   //購入情報・送付先情報のページに戻ったときに、リストから受け取った受注番号は何かを覚えさせる
	var $check;
	
	var $checklist;  //売上済み未発送リストのチェックリスト
	var $orderrow;   //売上済み未発送リストのオーダーリスト
	var $memberlist; //売上済み未発送リストのメンバーリスト
	
    /**
     * [[機能説明]]
     *
     * @access  public
     */
    function execute()
    {
        $log =& LogFactory::getLog();
        $log->debug("Seller_Itemexhibit_Send_Mailが実行されました", "Seller_Itemexhibit_Send_Mail#execute");
        if($this -> getPreaction() == "seller_itemexhibit_untrans_list")
        {
        	if(count($this->checklist) <= 0) return "nocheck";
        }
        return 'success';
    }
    
    function getPreaction()
	{
	    return $this -> preaction;
	}
	
	function setPreaction($preaction)
	{
	    $this -> preaction = $preaction;
	}
	
	function getCheck()
	{
	    return $this -> check;
	}
	
	function setCheck($check)
	{
	    $this -> check = $check;
	}
	
	//売上済み未発送リスト用アクセッサ
	function getOrderrow()
	{
		return $this -> orderrow;
	}

	function setOrderrow($orderrow)
	{
		$this -> orderrow = $orderrow;
	}

	function getCheckList()
	{
		return $this -> checklist;
	}

	function setCheckList($checklist)
	{
		$this -> checklist = $checklist;
	}

}
?>
